package com.mosty.yszx.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mosty.base.model.entity.yszx.TbYsDl;
import io.swagger.annotations.ApiOperation;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * 要素-地理要素表(TbYsDl)表数据库访问层
 *
 * @author zhangHaiJun
 * @since 2022-07-12 10:08:34
 */
@Mapper
public interface TbYsDlMapper extends BaseMapper<TbYsDl> {

    @ApiOperation("查询列表分页")
    List<TbYsDl> getPageList(Map<String, Object> map);

    @ApiOperation("查询列表数据总和")
    int getCount(Map<String, Object> map);

    @ApiOperation("查询所有数据不分页")
    List<TbYsDl> getList(Map<String, Object> map);

    @ApiOperation("查询地理要素详情")
    TbYsDl getInfoById(String id);

    @ApiOperation("添加地理要素数据")
    void insertEntity(TbYsDl dl);

    @ApiOperation("修改地理要素信息")
    void updateEntity(TbYsDl dl);
}


